Modify Custom Profile

Modify Custom Profile
Modify an existing custom profile definition

Modify an existing custom profile definition

Request
URI
PUT
https://{api_host}/suite-api/api/resources/profiles
COPY
Request Body

The custom profile definition

custom-profile of type(s) application/json
Required

Show optional properties

{
    "custom-profile-metrics": [
        {
            "metric": "string",
            "unit": "string",
            "value": "number"
        }
    ],
    "name": "string",
    "objectType": {
        "adapterKind": "string",
        "resourceKind": "string"
    }
}
"{\n  \"id\" : \"3c4f2be4-5678-4adb-8267-8077cac7aa26\",\n  \"name\" : \"Sample Custom Profile\",\n  \"description\" : \"Description of Custom Profile\",\n  \"objectType\" : {\n    \"adapterKind\" : \"VMWARE\",\n    \"resourceKind\" : \"VirtualMachine\"\n  },\n  \"custom-profile-metrics\" : [ {\n    \"metric\" : \"cpu\",\n    \"value\" : 999.999,\n    \"unit\" : \"mhz\"\n  }, {\n    \"metric\" : \"mem-alloc\",\n    \"value\" : 777.777,\n    \"unit\" : \"kb\"\n  } ]\n}"
array of object
custom-profile-metrics
Required

Collection of profile metrics

string
description
Optional

The description of custom profile

string As uuid As uuid
id
Optional

The identifier of custom profile

string
name
Required

The name of custom profile

object
objectType
Required

Consumer of custom profile

Authentication
This operation uses the following authentication methods.
Responses
200

The updated custom profile

Returns custom-profile of type(s) application/json
"No Custom Example is Available"
array of object
custom-profile-metrics
Required

Collection of profile metrics

string
description
Optional

The description of custom profile

string As uuid As uuid
id
Optional

The identifier of custom profile

string
name
Required

The name of custom profile

object
objectType
Required

Consumer of custom profile


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"custom-profile-metrics":["object"],"name":"string","objectType":"object"}' https://{api_host}/suite-api/api/resources/profiles